# $Revision: 1.37 $, $Date: 2008/07/27 22:36:56 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	Subtext
Summary:	HTML::Subtext Perl module - performs text substitutions on an HTML template
Summary(pl.UTF-8):	Moduł Perla HTML::Subtext - podmiana tekstu w szablonie HTML
Name:		perl-HTML-Subtext
Version:	1.03
Release:	13
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	94f653b74dee5799efd40f10740ade88
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-URI
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML::Subtext is a package for performing text substitutions on a
specially formatted HTML template. The template uses normal HTML
markup, but includes special links.

%description -l pl.UTF-8
HTML::Subtext to pakiet dokonujący podmiany tekstu w specjalnie
sformatowanym szablonie HTML. Szablon używa normalnych znaczników
HTML, ale zawiera specjalne odnośniki.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/HTML/Subtext.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-Subtext.spec,v $
Revision 1.37  2008/07/27 22:36:56  arekm
- release 13

Revision 1.36  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.35  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.34  2004/11/03 22:30:25  paladine
- formatting

Revision 1.33  2004/05/07 01:04:48  ankry
- rel. 12

Revision 1.32  2004/05/06 18:09:41  ankry
- fixed perl-devel BR

Revision 1.31  2004/04/25 19:57:11  ankry
- added tests

Revision 1.30  2004/04/22 06:53:52  ankry
- license fixes and unification

Revision 1.29  2004/04/14 17:08:52  ankry
- cosmetics, unifications

Revision 1.28  2003/09/09 10:24:37  ankry
- spaces -> tab

Revision 1.27  2003/08/18 08:08:50  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/05/28 13:00:40  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:24:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.23  2003/03/01 19:36:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.22  2003/02/25 00:39:26  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:33:09  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/08/15 21:59:26  qboosh
- pl description, release++

Revision 1.19  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.18  2002/07/10 08:47:36  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:32:06  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:16:24  depesz
automatic: Source location unfied, Relase Up

Revision 1.13  2002/02/10 15:27:21  depesz
adapterized

Revision 1.12  2002/01/18 02:14:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:17  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:10:26  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/08 20:01:07  kloczek
- release 4: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/19 22:53:35  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:53  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 18:42:13  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/01 21:51:12  pius
- initial release
